> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ton.org/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.ton.org/feedback

```json
{
  "path": "/ecosystem/api/toncenter/v3/apiv2/get-wallet-information",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Get Wallet Information

> Get wallet smart contract information. The following wallets are supported: `v1r1`, `v1r2`, `v1r3`, `v2r1`, `v2r2`, `v3r1`, `v3r2`, `v4r1`, `v4r2`, `v5beta`, `v5r1`. In case the account is not a wallet error code 409 is returned.



## OpenAPI

````yaml get /api/v3/walletInformation
openapi: 3.0.0
info:
  title: TON Index (Go)
  description: >-
    TON Index collects data from a full node to PostgreSQL database and provides
    convenient API to an indexed blockchain.
  version: 1.2.4-rc
  contact: {}
servers:
  - url: https://toncenter.com
  - url: https://testnet.toncenter.com
security: []
paths:
  /api/v3/walletInformation:
    get:
      tags:
        - Api/v2
      summary: Get Wallet Information
      description: >-
        Get wallet smart contract information. The following wallets are
        supported: `v1r1`, `v1r2`, `v1r3`, `v2r1`, `v2r2`, `v3r1`, `v3r2`,
        `v4r1`, `v4r2`, `v5beta`, `v5r1`. In case the account is not a wallet
        error code 409 is returned.
      operationId: api_v3_get_wallet_information
      parameters:
        - name: address
          in: query
          description: Account address in any form.
          required: true
          schema:
            type: string
        - name: use_v2
          in: query
          description: Use method from api/v2. Not recommended
          schema:
            type: boolean
            default: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/V2WalletInformation'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RequestError'
      security: []
components:
  schemas:
    V2WalletInformation:
      type: object
      properties:
        balance:
          type: string
        last_transaction_hash:
          type: string
        last_transaction_lt:
          type: string
        seqno:
          type: integer
        status:
          type: string
        wallet_id:
          type: integer
        wallet_type:
          type: string
    RequestError:
      type: object
      properties:
        code:
          type: integer
        error:
          type: string

````